Description

When installing foreman with lots of plugins (katello, etc...) the install will fail because foreman-rake apipie:cache takes more than 5

minutes to run:

2014-11-12 13:28:24 -0500 | Started

2014-11-12 13:28:36 -0500 | Documents loaded...

2014-11-12 13:28:36 -0500 | Processing docs for 

2014-11-12 13:28:51 -0500 | Processing docs for en

2014-11-12 13:29:04 -0500 | Processing docs for de

2014-11-12 13:29:23 -0500 | Processing docs for pt_BR

2014-11-12 13:29:43 -0500 | Processing docs for es

2014-11-12 13:30:06 -0500 | Processing docs for sv_SE

2014-11-12 13:30:50 -0500 | Processing docs for en_GB

2014-11-12 13:31:11 -0500 | Processing docs for fr

2014-11-12 13:31:30 -0500 | Processing docs for zh_TW

2014-11-12 13:31:49 -0500 | Processing docs for ja

2014-11-12 13:32:08 -0500 | Processing docs for ko

2014-11-12 13:32:28 -0500 | Processing docs for zh_CN

2014-11-12 13:32:48 -0500 | Processing docs for ru

2014-11-12 13:33:07 -0500 | Processing docs for gl

2014-11-12 13:33:27 -0500 | Processing docs for it

2014-11-12 13:33:46 -0500 | Finished

real    5m49.569s

user    5m22.879s

sys    0m5.355s

 Using a previous version of katello and foreman it only took ~45 seconds, but did not seem to be generating the docs for so many

languages.

Associated revisions

Revision aa72cd99 - 11/13/2014 10:17 AM - Justin Sherrill

fixes #8381 - do not use a timeout for rake apipie:cache

History

#1 - 11/13/2014 12:01 PM - Justin Sherrill

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman|aa72cd99099d9b24424b51c1432742c129f29fa5.

#2 - 11/13/2014 12:50 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello-installer/pull/140 added

05/19/2024 1/2

https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman/revisions/aa72cd99099d9b24424b51c1432742c129f29fa5


- Pull request deleted ()
